> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup CrissCross integration.

> Create CrissCross OAuth client credentials and merchant configuration.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json put /v1/organizations/integrations/crisscross
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/organizations/integrations/crisscross:
    put:
      tags:
        - Integrations Config
      summary: Setup CrissCross integration.
      description: Create CrissCross OAuth client credentials and merchant configuration.
      operationId: IntegrationsConfigController_setupCrissCrossIntegrationConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrissCrossSetupDto'
      responses:
        '202':
          description: Organization CrissCross integration data
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    CrissCrossSetupDto:
      type: object
      properties:
        clientId:
          type: string
          minLength: 1
          maxLength: 256
          description: The CrissCross clientId for OAuth authentication.
          example: your-crisscross-client-id
        clientSecret:
          type: string
          minLength: 1
          maxLength: 256
          description: The CrissCross clientSecret for OAuth authentication.
          example: your-crisscross-client-secret
        merchantId:
          type: string
          minLength: 1
          maxLength: 256
          description: The CrissCross merchantId for Payouts API requests.
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
        thirdPartyPayoutFlowEnabled:
          type: boolean
          description: >-
            Enable the third-party payout flow for withdrawals with a
            counterPartyIdentityId.
          example: true
      required:
        - clientId
        - clientSecret
        - merchantId
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````